
import requests
from bs4 import BeautifulSoup
import redis

# Redis数据库配置
REDIS_HOST = 'itlym.cn'
REDIS_PORT = 6379
REDIS_PASSWORD = None

# 初始化Redis连接池
pool = redis.ConnectionPool(host=REDIS_HOST, port=REDIS_PORT, password=REDIS_PASSWORD)
redis_conn = redis.Redis(connection_pool=pool)

# OO代理网站首页URL
url = 'https://proxydb.net/'
# 代理类型
proxy_type = 'oo'

def crawl():
    # 构建URL
    page = 0
    url_tml = f'{url}proxy/{proxy_type}/p%s'
    while True:
        page += 1
        url_page = url_tml % page

        # 发送GET请求
        r = requests.get(url_page)
        soup = BeautifulSoup(r.text, 'html.parser')

        # 解析HTML
        items = soup.find_all('tr', {'class': 'odd'})
        for item in items:
            ip = item.find('a').text
            port = item.find('td', {'data-title': 'Port'}).text
            proxy_str = f'{ip}:{port}'
            print(f"获取到代理：{proxy_str}")
            #redis_conn.sadd('proxy:oo', proxy_str)

        # 翻页
        next_page = soup.find('a', {'aria-label': 'Next Page'})
        if not next_page:
            break

# 启动爬虫任务
if __name__ == '__main__':
    crawl()